import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState () {
        return {
            current: 'normal'
        };
    },
    handleClick (e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    componentWillMount () {
        if (window.location.hash) {
            this.state.current = window.location.hash.substr(1);
        };
    },
    render () {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left">
                <Menu.Item key="normal">
                    常用功能
                </Menu.Item>
                <Menu.Item key="collection">
                    我感兴趣
                </Menu.Item>
                <Menu.Item key="techList">
                    科技订单
                </Menu.Item>
                <Menu.Item key="serviceList">
                    服务订单
                </Menu.Item>
                <Menu.Item key="consultList">
                    咨询订单
                </Menu.Item>
            </Menu>
        );
    },
});

export default LeftTab;